import "../_dnt.polyfills.js";
import { Materializer, Runtime } from "./mod.js";
import * as t from "../types.js";
import { KvMaterializer } from "../gen/typegraph_core";
declare class KvOperationMat implements Materializer {
    operation: KvMaterializer;
    _id: number;
    constructor(id: number, operation: KvMaterializer);
}
export declare class KvRuntime extends Runtime {
    #private;
    url: string;
    constructor(url: string);
    set(): t.Func<t.Struct<{
        key: {
            readonly min?: number | undefined;
            readonly max?: number | undefined;
            readonly format?: string | undefined;
            readonly pattern?: string | undefined;
            readonly enumeration?: string[] | undefined;
            id(asId?: import("../utils/func_utils.js").AsIdField): t.Typedef;
            readonly name?: string | undefined;
            policy: import("../policy.js").default[] | null;
            readonly _id: number;
            readonly repr: string | null;
            withPolicy(policy: t.PolicySpec | t.PolicySpec[]): any;
            rename(name: string): any;
            asTypedef(): t.Typedef;
            optional(data?: t.Simplified<import("../gen/typegraph_core").TypeOptional>): {
                readonly item?: number | undefined;
                readonly defaultItem?: string | undefined;
                readonly name?: string | undefined;
                policy: import("../policy.js").default[] | null;
                readonly _id: number;
                readonly repr: string | null;
                withPolicy(policy: t.PolicySpec | t.PolicySpec[]): any;
                rename(name: string): any;
                asTypedef(): t.Typedef;
                optional(data?: t.Simplified<import("../gen/typegraph_core").TypeOptional>): any;
                withInjection(injection: string): any;
                set(value: unknown): any;
                inject(value: import("../utils/type_utils.js").InjectionValue<string>): any;
                fromContext(value: import("../utils/type_utils.js").InjectionValue<string>): any;
                fromSecret(value: import("../utils/type_utils.js").InjectionValue<string>): any;
                fromParent(value: import("../utils/type_utils.js").InjectionValue<string>): any;
                fromRandom(): any;
            };
            withInjection(injection: string): any;
            set(value: unknown): any;
            inject(value: import("../utils/type_utils.js").InjectionValue<string>): any;
            fromContext(value: import("../utils/type_utils.js").InjectionValue<string>): any;
            fromSecret(value: import("../utils/type_utils.js").InjectionValue<string>): any;
            fromParent(value: import("../utils/type_utils.js").InjectionValue<string>): any;
            fromRandom(): any;
        };
        value: {
            readonly min?: number | undefined;
            readonly max?: number | undefined;
            readonly format?: string | undefined;
            readonly pattern?: string | undefined;
            readonly enumeration?: string[] | undefined;
            id(asId?: import("../utils/func_utils.js").AsIdField): t.Typedef;
            readonly name?: string | undefined;
            policy: import("../policy.js").default[] | null;
            readonly _id: number;
            readonly repr: string | null;
            withPolicy(policy: t.PolicySpec | t.PolicySpec[]): any;
            rename(name: string): any;
            asTypedef(): t.Typedef;
            optional(data?: t.Simplified<import("../gen/typegraph_core").TypeOptional>): {
                readonly item?: number | undefined;
                readonly defaultItem?: string | undefined;
                readonly name?: string | undefined;
                policy: import("../policy.js").default[] | null;
                readonly _id: number;
                readonly repr: string | null;
                withPolicy(policy: t.PolicySpec | t.PolicySpec[]): any;
                rename(name: string): any;
                asTypedef(): t.Typedef;
                optional(data?: t.Simplified<import("../gen/typegraph_core").TypeOptional>): any;
                withInjection(injection: string): any;
                set(value: unknown): any;
                inject(value: import("../utils/type_utils.js").InjectionValue<string>): any;
                fromContext(value: import("../utils/type_utils.js").InjectionValue<string>): any;
                fromSecret(value: import("../utils/type_utils.js").InjectionValue<string>): any;
                fromParent(value: import("../utils/type_utils.js").InjectionValue<string>): any;
                fromRandom(): any;
            };
            withInjection(injection: string): any;
            set(value: unknown): any;
            inject(value: import("../utils/type_utils.js").InjectionValue<string>): any;
            fromContext(value: import("../utils/type_utils.js").InjectionValue<string>): any;
            fromSecret(value: import("../utils/type_utils.js").InjectionValue<string>): any;
            fromParent(value: import("../utils/type_utils.js").InjectionValue<string>): any;
            fromRandom(): any;
        };
    }>, {
        readonly min?: number | undefined;
        readonly max?: number | undefined;
        readonly format?: string | undefined;
        readonly pattern?: string | undefined;
        readonly enumeration?: string[] | undefined;
        id(asId?: import("../utils/func_utils.js").AsIdField): t.Typedef;
        readonly name?: string | undefined;
        policy: import("../policy.js").default[] | null;
        readonly _id: number;
        readonly repr: string | null;
        withPolicy(policy: t.PolicySpec | t.PolicySpec[]): any;
        rename(name: string): any;
        asTypedef(): t.Typedef;
        optional(data?: t.Simplified<import("../gen/typegraph_core").TypeOptional>): {
            readonly item?: number | undefined;
            readonly defaultItem?: string | undefined;
            readonly name?: string | undefined;
            policy: import("../policy.js").default[] | null;
            readonly _id: number;
            readonly repr: string | null;
            withPolicy(policy: t.PolicySpec | t.PolicySpec[]): any;
            rename(name: string): any;
            asTypedef(): t.Typedef;
            optional(data?: t.Simplified<import("../gen/typegraph_core").TypeOptional>): any;
            withInjection(injection: string): any;
            set(value: unknown): any;
            inject(value: import("../utils/type_utils.js").InjectionValue<string>): any;
            fromContext(value: import("../utils/type_utils.js").InjectionValue<string>): any;
            fromSecret(value: import("../utils/type_utils.js").InjectionValue<string>): any;
            fromParent(value: import("../utils/type_utils.js").InjectionValue<string>): any;
            fromRandom(): any;
        };
        withInjection(injection: string): any;
        set(value: unknown): any;
        inject(value: import("../utils/type_utils.js").InjectionValue<string>): any;
        fromContext(value: import("../utils/type_utils.js").InjectionValue<string>): any;
        fromSecret(value: import("../utils/type_utils.js").InjectionValue<string>): any;
        fromParent(value: import("../utils/type_utils.js").InjectionValue<string>): any;
        fromRandom(): any;
    }, KvOperationMat>;
    get(): t.Func<t.Struct<{
        key: {
            readonly min?: number | undefined;
            readonly max?: number | undefined;
            readonly format?: string | undefined;
            readonly pattern?: string | undefined;
            readonly enumeration?: string[] | undefined;
            id(asId?: import("../utils/func_utils.js").AsIdField): t.Typedef;
            readonly name?: string | undefined;
            policy: import("../policy.js").default[] | null;
            readonly _id: number;
            readonly repr: string | null;
            withPolicy(policy: t.PolicySpec | t.PolicySpec[]): any;
            rename(name: string): any;
            asTypedef(): t.Typedef;
            optional(data?: t.Simplified<import("../gen/typegraph_core").TypeOptional>): {
                readonly item?: number | undefined;
                readonly defaultItem?: string | undefined;
                readonly name?: string | undefined;
                policy: import("../policy.js").default[] | null;
                readonly _id: number;
                readonly repr: string | null;
                withPolicy(policy: t.PolicySpec | t.PolicySpec[]): any;
                rename(name: string): any;
                asTypedef(): t.Typedef;
                optional(data?: t.Simplified<import("../gen/typegraph_core").TypeOptional>): any;
                withInjection(injection: string): any;
                set(value: unknown): any;
                inject(value: import("../utils/type_utils.js").InjectionValue<string>): any;
                fromContext(value: import("../utils/type_utils.js").InjectionValue<string>): any;
                fromSecret(value: import("../utils/type_utils.js").InjectionValue<string>): any;
                fromParent(value: import("../utils/type_utils.js").InjectionValue<string>): any;
                fromRandom(): any;
            };
            withInjection(injection: string): any;
            set(value: unknown): any;
            inject(value: import("../utils/type_utils.js").InjectionValue<string>): any;
            fromContext(value: import("../utils/type_utils.js").InjectionValue<string>): any;
            fromSecret(value: import("../utils/type_utils.js").InjectionValue<string>): any;
            fromParent(value: import("../utils/type_utils.js").InjectionValue<string>): any;
            fromRandom(): any;
        };
    }>, {
        readonly item?: number | undefined;
        readonly defaultItem?: string | undefined;
        readonly name?: string | undefined;
        policy: import("../policy.js").default[] | null;
        readonly _id: number;
        readonly repr: string | null;
        withPolicy(policy: t.PolicySpec | t.PolicySpec[]): any;
        rename(name: string): any;
        asTypedef(): t.Typedef;
        optional(data?: t.Simplified<import("../gen/typegraph_core").TypeOptional>): any;
        withInjection(injection: string): any;
        set(value: unknown): any;
        inject(value: import("../utils/type_utils.js").InjectionValue<string>): any;
        fromContext(value: import("../utils/type_utils.js").InjectionValue<string>): any;
        fromSecret(value: import("../utils/type_utils.js").InjectionValue<string>): any;
        fromParent(value: import("../utils/type_utils.js").InjectionValue<string>): any;
        fromRandom(): any;
    }, KvOperationMat>;
    delete(): t.Func<t.Struct<{
        key: {
            readonly min?: number | undefined;
            readonly max?: number | undefined;
            readonly format?: string | undefined;
            readonly pattern?: string | undefined;
            readonly enumeration?: string[] | undefined;
            id(asId?: import("../utils/func_utils.js").AsIdField): t.Typedef;
            readonly name?: string | undefined;
            policy: import("../policy.js").default[] | null;
            readonly _id: number;
            readonly repr: string | null;
            withPolicy(policy: t.PolicySpec | t.PolicySpec[]): any;
            rename(name: string): any;
            asTypedef(): t.Typedef;
            optional(data?: t.Simplified<import("../gen/typegraph_core").TypeOptional>): {
                readonly item?: number | undefined;
                readonly defaultItem?: string | undefined;
                readonly name?: string | undefined;
                policy: import("../policy.js").default[] | null;
                readonly _id: number;
                readonly repr: string | null;
                withPolicy(policy: t.PolicySpec | t.PolicySpec[]): any;
                rename(name: string): any;
                asTypedef(): t.Typedef;
                optional(data?: t.Simplified<import("../gen/typegraph_core").TypeOptional>): any;
                withInjection(injection: string): any;
                set(value: unknown): any;
                inject(value: import("../utils/type_utils.js").InjectionValue<string>): any;
                fromContext(value: import("../utils/type_utils.js").InjectionValue<string>): any;
                fromSecret(value: import("../utils/type_utils.js").InjectionValue<string>): any;
                fromParent(value: import("../utils/type_utils.js").InjectionValue<string>): any;
                fromRandom(): any;
            };
            withInjection(injection: string): any;
            set(value: unknown): any;
            inject(value: import("../utils/type_utils.js").InjectionValue<string>): any;
            fromContext(value: import("../utils/type_utils.js").InjectionValue<string>): any;
            fromSecret(value: import("../utils/type_utils.js").InjectionValue<string>): any;
            fromParent(value: import("../utils/type_utils.js").InjectionValue<string>): any;
            fromRandom(): any;
        };
    }>, {
        readonly min?: number | undefined;
        readonly max?: number | undefined;
        readonly exclusiveMinimum?: number | undefined;
        readonly exclusiveMaximum?: number | undefined;
        readonly multipleOf?: number | undefined;
        readonly enumeration?: Int32Array | undefined;
        id(asId?: import("../utils/func_utils.js").AsIdField): t.Typedef;
        readonly name?: string | undefined;
        policy: import("../policy.js").default[] | null;
        readonly _id: number;
        readonly repr: string | null;
        withPolicy(policy: t.PolicySpec | t.PolicySpec[]): any;
        rename(name: string): any;
        asTypedef(): t.Typedef;
        optional(data?: t.Simplified<import("../gen/typegraph_core").TypeOptional>): {
            readonly item?: number | undefined;
            readonly defaultItem?: string | undefined;
            readonly name?: string | undefined;
            policy: import("../policy.js").default[] | null;
            readonly _id: number;
            readonly repr: string | null;
            withPolicy(policy: t.PolicySpec | t.PolicySpec[]): any;
            rename(name: string): any;
            asTypedef(): t.Typedef;
            optional(data?: t.Simplified<import("../gen/typegraph_core").TypeOptional>): any;
            withInjection(injection: string): any;
            set(value: unknown): any;
            inject(value: import("../utils/type_utils.js").InjectionValue<string>): any;
            fromContext(value: import("../utils/type_utils.js").InjectionValue<string>): any;
            fromSecret(value: import("../utils/type_utils.js").InjectionValue<string>): any;
            fromParent(value: import("../utils/type_utils.js").InjectionValue<string>): any;
            fromRandom(): any;
        };
        withInjection(injection: string): any;
        set(value: unknown): any;
        inject(value: import("../utils/type_utils.js").InjectionValue<string>): any;
        fromContext(value: import("../utils/type_utils.js").InjectionValue<string>): any;
        fromSecret(value: import("../utils/type_utils.js").InjectionValue<string>): any;
        fromParent(value: import("../utils/type_utils.js").InjectionValue<string>): any;
        fromRandom(): any;
    }, KvOperationMat>;
    keys(): t.Func<t.Struct<{
        filter: {
            readonly item?: number | undefined;
            readonly defaultItem?: string | undefined;
            readonly name?: string | undefined;
            policy: import("../policy.js").default[] | null;
            readonly _id: number;
            readonly repr: string | null;
            withPolicy(policy: t.PolicySpec | t.PolicySpec[]): any;
            rename(name: string): any;
            asTypedef(): t.Typedef;
            optional(data?: t.Simplified<import("../gen/typegraph_core").TypeOptional>): any;
            withInjection(injection: string): any;
            set(value: unknown): any;
            inject(value: import("../utils/type_utils.js").InjectionValue<string>): any;
            fromContext(value: import("../utils/type_utils.js").InjectionValue<string>): any;
            fromSecret(value: import("../utils/type_utils.js").InjectionValue<string>): any;
            fromParent(value: import("../utils/type_utils.js").InjectionValue<string>): any;
            fromRandom(): any;
        };
    }>, {
        readonly min?: number | undefined;
        readonly max?: number | undefined;
        readonly items?: number | undefined;
        readonly uniqueItems?: boolean | undefined;
        readonly name?: string | undefined;
        policy: import("../policy.js").default[] | null;
        readonly _id: number;
        readonly repr: string | null;
        withPolicy(policy: t.PolicySpec | t.PolicySpec[]): any;
        rename(name: string): any;
        asTypedef(): t.Typedef;
        optional(data?: t.Simplified<import("../gen/typegraph_core").TypeOptional>): {
            readonly item?: number | undefined;
            readonly defaultItem?: string | undefined;
            readonly name?: string | undefined;
            policy: import("../policy.js").default[] | null;
            readonly _id: number;
            readonly repr: string | null;
            withPolicy(policy: t.PolicySpec | t.PolicySpec[]): any;
            rename(name: string): any;
            asTypedef(): t.Typedef;
            optional(data?: t.Simplified<import("../gen/typegraph_core").TypeOptional>): any;
            withInjection(injection: string): any;
            set(value: unknown): any;
            inject(value: import("../utils/type_utils.js").InjectionValue<string>): any;
            fromContext(value: import("../utils/type_utils.js").InjectionValue<string>): any;
            fromSecret(value: import("../utils/type_utils.js").InjectionValue<string>): any;
            fromParent(value: import("../utils/type_utils.js").InjectionValue<string>): any;
            fromRandom(): any;
        };
        withInjection(injection: string): any;
        set(value: unknown): any;
        inject(value: import("../utils/type_utils.js").InjectionValue<string>): any;
        fromContext(value: import("../utils/type_utils.js").InjectionValue<string>): any;
        fromSecret(value: import("../utils/type_utils.js").InjectionValue<string>): any;
        fromParent(value: import("../utils/type_utils.js").InjectionValue<string>): any;
        fromRandom(): any;
    }, KvOperationMat>;
    values(): t.Func<t.Struct<{
        filter: {
            readonly item?: number | undefined;
            readonly defaultItem?: string | undefined;
            readonly name?: string | undefined;
            policy: import("../policy.js").default[] | null;
            readonly _id: number;
            readonly repr: string | null;
            withPolicy(policy: t.PolicySpec | t.PolicySpec[]): any;
            rename(name: string): any;
            asTypedef(): t.Typedef;
            optional(data?: t.Simplified<import("../gen/typegraph_core").TypeOptional>): any;
            withInjection(injection: string): any;
            set(value: unknown): any;
            inject(value: import("../utils/type_utils.js").InjectionValue<string>): any;
            fromContext(value: import("../utils/type_utils.js").InjectionValue<string>): any;
            fromSecret(value: import("../utils/type_utils.js").InjectionValue<string>): any;
            fromParent(value: import("../utils/type_utils.js").InjectionValue<string>): any;
            fromRandom(): any;
        };
    }>, {
        readonly min?: number | undefined;
        readonly max?: number | undefined;
        readonly items?: number | undefined;
        readonly uniqueItems?: boolean | undefined;
        readonly name?: string | undefined;
        policy: import("../policy.js").default[] | null;
        readonly _id: number;
        readonly repr: string | null;
        withPolicy(policy: t.PolicySpec | t.PolicySpec[]): any;
        rename(name: string): any;
        asTypedef(): t.Typedef;
        optional(data?: t.Simplified<import("../gen/typegraph_core").TypeOptional>): {
            readonly item?: number | undefined;
            readonly defaultItem?: string | undefined;
            readonly name?: string | undefined;
            policy: import("../policy.js").default[] | null;
            readonly _id: number;
            readonly repr: string | null;
            withPolicy(policy: t.PolicySpec | t.PolicySpec[]): any;
            rename(name: string): any;
            asTypedef(): t.Typedef;
            optional(data?: t.Simplified<import("../gen/typegraph_core").TypeOptional>): any;
            withInjection(injection: string): any;
            set(value: unknown): any;
            inject(value: import("../utils/type_utils.js").InjectionValue<string>): any;
            fromContext(value: import("../utils/type_utils.js").InjectionValue<string>): any;
            fromSecret(value: import("../utils/type_utils.js").InjectionValue<string>): any;
            fromParent(value: import("../utils/type_utils.js").InjectionValue<string>): any;
            fromRandom(): any;
        };
        withInjection(injection: string): any;
        set(value: unknown): any;
        inject(value: import("../utils/type_utils.js").InjectionValue<string>): any;
        fromContext(value: import("../utils/type_utils.js").InjectionValue<string>): any;
        fromSecret(value: import("../utils/type_utils.js").InjectionValue<string>): any;
        fromParent(value: import("../utils/type_utils.js").InjectionValue<string>): any;
        fromRandom(): any;
    }, KvOperationMat>;
}
export {};
